Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class PropertyMetadata

`java.lang.Object
oracle.jbo.common.PropertyMetadata`

public class PropertyMetadata
extends java.lang.Object

Internal: Applications should not use this class.

This class is used at framework initialization time to choose values for the various properties that can be set in the system.

For 9.0.4 we introduce a grouping for Properties, represented with PropertyGroup tags.

Since:
  JDeveloper 3.1

Field Summary
`static PropertyMetadata` | `ADFM_MOM_USES_MDS`
`static PropertyMetadata` | `AM_RELEASE_MODE`
`static PropertyMetadata` | `APPLICATION_PATH`
`static PropertyMetadata` | `APPMODULE_JNDI_NAME`
`static PropertyMetadata` | `CONNECTION_MODE`
`static PropertyMetadata` | `CONNECTION_PORT`
`static PropertyMetadata` | `DEPLOY_PLATFORM`
`static PropertyMetadata` | `DOMAIN_BIND_SQL_DATE`
`static PropertyMetadata` | `DOMAIN_DATE_SUPPRESS_ZERO`
`static PropertyMetadata` | `DYNAMIC_PACKAGE_NAME`
`static PropertyMetadata` | `EJB_DISCONNECT_ON_TXN_COMPLETION`
`static PropertyMetadata` | `ENV_AMPOOL_CONNECTION_STRATEGY_CLASS_NAME`
`static PropertyMetadata` | `ENV_AMPOOL_COOKIE_FACTORY_CLASS_NAME`
`static PropertyMetadata` | `ENV_AMPOOL_DO_AM_POOLING`
`static PropertyMetadata` | `ENV_AMPOOL_DYNAMIC_JDBC_CREDENTIALS`
`static PropertyMetadata` | `ENV_AMPOOL_INIT_POOL_SIZE`
`static PropertyMetadata` | `ENV_AMPOOL_IS_USE_EXCLUSIVE`
`static PropertyMetadata` | `ENV_AMPOOL_MAX_AVAIL_SIZE`
`static PropertyMetadata` | `ENV_AMPOOL_MAX_INACTIVE_AGE`
`static PropertyMetadata` | `ENV_AMPOOL_MAX_POOL_SIZE`
`static PropertyMetadata` | `ENV_AMPOOL_MIN_AVAIL_SIZE`
`static PropertyMetadata` | `ENV_AMPOOL_MONITOR_SLEEP_INTERVAL`
`static PropertyMetadata` | `ENV_AMPOOL_RESET_NON_TRANSACTIONAL_STATE`
`static PropertyMetadata` | `ENV_AMPOOL_TIME_TO_LIVE`
`static PropertyMetadata` | `ENV_AMPOOL_WRITE_COOKIE_TO_CLIENT`
`static PropertyMetadata` | `ENV_BC4J_CONNECT_FAILOVER`
`static PropertyMetadata` | `ENV_CONTROL_TABLE_NAME`
`static PropertyMetadata` | `ENV_DBTRANSACTION_FACTORY_CLASS`
`static PropertyMetadata` | `ENV_DEF_MGR_LISTENER`
`static PropertyMetadata` | `ENV_DEFAULT_COUNTRY`
`static PropertyMetadata` | `ENV_DEFAULT_LANGUAGE`
`static PropertyMetadata` | `ENV_DEFAULT_LOCALE_VARIANT`
`static PropertyMetadata` | `ENV_DISCONNECT_LEVEL`
`static PropertyMetadata` | `ENV_DO_CONNECTION_POOLING`
`static PropertyMetadata` | `ENV_DO_FAILOVER`
`static PropertyMetadata` | `ENV_EJB_TRANSACTION_TIMEOUT`
`static PropertyMetadata` | `ENV_EJB_TXN_TYPE`
`static PropertyMetadata` | `ENV_ENTITYROWSET_MODE`
`static PropertyMetadata` | `ENV_FETCH_MODE`
`static PropertyMetadata` | `ENV_INIT_JDBC_POOL_SIZE`
`static PropertyMetadata` | `ENV_JBO_EJB_USE_AMPOOL`
`static PropertyMetadata` | `ENV_JBO_SCHEMA`
`static PropertyMetadata` | `ENV_JBO_XML_VALIDATION`
`static PropertyMetadata` | `ENV_JDBC_POOL_MAX_AVAIL_SIZE`
`static PropertyMetadata` | `ENV_JDBC_POOL_MAX_INACTIVE_AGE`
`static PropertyMetadata` | `ENV_JDBC_POOL_MIN_AVAIL_SIZE`
`static PropertyMetadata` | `ENV_JDBC_POOL_MONITOR_SLEEP_INTERVAL`
`static PropertyMetadata` | `ENV_JDBC_POOL_REQUEST_TIMEOUT`
`static PropertyMetadata` | `ENV_JDBC_POOL_TIME_TO_LIVE`
`static PropertyMetadata` | `ENV_LOAD_COMP_LAZILY`
`static PropertyMetadata` | `ENV_MAX_CURSORS`
`static PropertyMetadata` | `ENV_MAX_JDBC_POOL_SIZE`
`static PropertyMetadata` | `ENV_MAX_PASSIVATION_STACK_SIZE`
`static PropertyMetadata` | `ENV_MAX_POOL_COOKIE_AGE`
`static PropertyMetadata` | `ENV_OBJ_MARSHALLER`
`static PropertyMetadata` | `ENV_PASSIVATION_SAVE_FOR_LATER`
`static PropertyMetadata` | `ENV_PASSIVATION_STORE`
`static PropertyMetadata` | `ENV_PCOLL_MGR`
`static PropertyMetadata` | `ENV_PERS_MAX_ACTIVE_NODES`
`static PropertyMetadata` | `ENV_PERS_MAX_ROWS_PER_NODE`
`static PropertyMetadata` | `ENV_POOL_CLASS_NAME`
`static PropertyMetadata` | `ENV_POOL_RECYCLE_THRESHOLD`
`static PropertyMetadata` | `ENV_SECURITY_CONFIG`
`static PropertyMetadata` | `ENV_SECURITY_ENFORCE`
`static PropertyMetadata` | `ENV_SECURITY_LOGINMODULE`
`static PropertyMetadata` | `ENV_SESSION_CLASS`
`static PropertyMetadata` | `ENV_SNAPSHOT_STORE_UNDO`
`static PropertyMetadata` | `ENV_STRINGMANAGER_FACTORY_CLASS`
`static PropertyMetadata` | `ENV_TXN_HANDLE_AFTER_POST_EXC`
`static PropertyMetadata` | `ENV_TXN_SEQ_INC`
`static PropertyMetadata` | `ENV_TXN_SEQ_NAME`
`static PropertyMetadata` | `ENV_TXN_TABLE_NAME`
`static PropertyMetadata` | `ENV_USE_PERS_COLL`
`static PropertyMetadata` | `ENV_VIEWLINK_MODE`
`static PropertyMetadata` | `ENV_VO_TRACK_INSERT`
`static PropertyMetadata` | `GLOBAL_SUBSTITUTION`
`static PropertyMetadata` | `HANDLE_NAME`
`static PropertyMetadata` | `HOST_NAME`
`static PropertyMetadata` | `INITIAL_CONTEXT_FACTORY`
`static boolean` | `initialized`
`static PropertyMetadata` | `INTERNAL_CONNECTION_PARAMS`
`static PropertyMetadata` | `IS_LAZY_LOADING_TRUE`
`static PropertyMetadata` | `JBO_323_COMPATIBLE`
`static PropertyMetadata` | `JBO_903_COMPATIBLE`
`static PropertyMetadata` | `JBO_MOM_USES_MDS`
`static PropertyMetadata` | `JBO_PROJECT`
`static PropertyMetadata` | `JBO_SERVER_USE_NULLDBTRANSACTION`
`static PropertyMetadata` | `JDBC_DATA_BYTES_CONVERSION`
`static PropertyMetadata` | `MOM_CONTEXT_FACTORY`
`static PropertyMetadata` | `MOM_INITIAL_CONTEXT`
`int` | `ord`
`static PropertyMetadata` | `ORD_HTTP_MAX_MEMORY`
`static PropertyMetadata` | `ORD_HTTP_TEMP_DIR`
`static PropertyMetadata` | `ORD_QP_CLASS_ID`
`static PropertyMetadata` | `ORD_QP_CODE_BASE`
`static PropertyMetadata` | `ORD_QP_PLUGINS_PAGE`
`static PropertyMetadata` | `ORD_RETRIEVE_PATH`
`static PropertyMetadata` | `ORD_RP_CLASS_ID`
`static PropertyMetadata` | `ORD_RP_CODE_BASE`
`static PropertyMetadata` | `ORD_RP_PLUGINS_PAGE`
`static PropertyMetadata` | `ORD_WMP_CLASS_ID`
`static PropertyMetadata` | `ORD_WMP_CODE_BASE`
`static PropertyMetadata` | `ORD_WMP_PLUGINS_PAGE`
`java.lang.String` | `pDefault` Deprecated. - use getDefault instead
`java.lang.String` | `pDescription` Deprecated. - use getDescription instead
`PropertyGroup` | `pGroup` Deprecated. - use getGroup instead
`java.lang.String[]` | `pKeywords` Deprecated. - use getKeywords instead
`static PropertyMetadata` | `PN_ABSTRACT_BASE_CHECK`
`static PropertyMetadata` | `PN_BC4J_ORACLE_HOME`
`static PropertyMetadata` | `PN_DBTIME_QUERY`
`static PropertyMetadata` | `PN_DEBUG_PREFIX`
`static PropertyMetadata` | `PN_DEBUG_TYPE`
`static PropertyMetadata` | `PN_JAAS_CONTEXT`
`static PropertyMetadata` | `PN_JBO_JDBC_TRACE`
`static PropertyMetadata` | `PN_JDBC_DRIVER_CLASS`
`static PropertyMetadata` | `PN_JDBC_DRIVER_VERBOSE`
`static PropertyMetadata` | `PN_LOCKING_MODE`
`static PropertyMetadata` | `PN_OC4J_INSTANCE_NAME`
`static PropertyMetadata` | `PN_POOL_MANAGER`
`static PropertyMetadata` | `PN_SHOW_FUNCTION`
`static PropertyMetadata` | `PN_SHOW_LEVEL`
`static PropertyMetadata` | `PN_SHOW_LINECOUNT`
`static PropertyMetadata` | `PN_SHOW_TIMING`
`static PropertyMetadata` | `PN_SIMULATE_REMOTE`
`static PropertyMetadata` | `PN_SQL92_LOCKTRAILER`
`static PropertyMetadata` | `PN_SQLBUILDERIMPL`
`static PropertyMetadata` | `PN_SQLTYPEMAP`
`static PropertyMetadata` | `PN_TRACE_THRESHOLD`
`static PropertyMetadata` | `PN_VIEWCRITERIA_ADAPTER`
`java.lang.String` | `pName` Deprecated. - use getName instead
`Owner` | `pOwner` Deprecated. - use getOwner instead
`static PropertyMetadata` | `SECURITY_CREDENTIALS`
`static PropertyMetadata` | `SECURITY_PRINCIPAL`
`static PropertyMetadata` | `SHARED_DATA_HANDLE`
`static PropertyMetadata` | `TEMPORARY_FILES_HOME`
`static PropertyMetadata` | `USE_DEFINE_COLUMN_LENGTH`
`static PropertyMetadata` | `USER_PRINCIPAL`

Method Summary
`static java.util.Enumeration` | `elements()`
`static PropertyMetadata` | `findByName(java.lang.String propName)` return the description element of this name
`static PropertyMetadata` | `findProperty(java.lang.String key)`
`static PropertyMetadata` | `first()`
`java.lang.String` | `getDefault()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getDescription(java.util.Locale locale)`
`java.lang.String` | `getDescriptionID()`
`static int` | `getExtentSize()`
`PropertyGroup` | `getGroup()`
`java.lang.String[]` | `getKeywords()`
`java.lang.String` | `getMetaDesc()`
`java.lang.String` | `getName()`
`Owner` | `getOwner()`
`java.lang.String` | `getProperty()`
`java.lang.String` | `getProperty(boolean useDefault)` this is the preferred way to get a property value, because the defaut value is used if no value has been set.
`java.lang.String` | `getProperty(java.util.Hashtable sessionEnv)` Find the property from the given (most likey session env) map.
`boolean` | `getPropertyAsBoolean()`
`PropertyMetadata` | `last()`
`static void` | `listProperties(java.io.PrintStream out)`
`PropertyMetadata` | `next()`
`PropertyMetadata` | `prev()`
`static void` | `registerDelegate(PropertyMetadata propertyMetadata, PropertyMetadataDelegate delegate)` register a delegate if you want to override the default value for properties.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### pName

    public java.lang.String pName

  Deprecated. - use getName instead

### pOwner

    public Owner pOwner

  Deprecated. - use getOwner instead

### pDefault

    public java.lang.String pDefault

  Deprecated. - use getDefault instead

### pKeywords

    public java.lang.String[] pKeywords

  Deprecated. - use getKeywords instead

### pGroup

    public PropertyGroup pGroup

  Deprecated. - use getGroup instead

### pDescription

    public java.lang.String pDescription

  Deprecated. - use getDescription instead

### ord

    public final int ord

### initialized

    public static boolean initialized

### ENV_DEFAULT_LANGUAGE

    public static final PropertyMetadata ENV_DEFAULT_LANGUAGE

### ENV_DEFAULT_COUNTRY

    public static final PropertyMetadata ENV_DEFAULT_COUNTRY

### ENV_DEFAULT_LOCALE_VARIANT

    public static final PropertyMetadata ENV_DEFAULT_LOCALE_VARIANT

### DEPLOY_PLATFORM

    public static final PropertyMetadata DEPLOY_PLATFORM

### CONNECTION_MODE

    public static final PropertyMetadata CONNECTION_MODE

### HOST_NAME

    public static final PropertyMetadata HOST_NAME

### CONNECTION_PORT

    public static final PropertyMetadata CONNECTION_PORT

### PN_LOCKING_MODE

    public static final PropertyMetadata PN_LOCKING_MODE

### ENV_DISCONNECT_LEVEL

    public static final PropertyMetadata ENV_DISCONNECT_LEVEL

### APPLICATION_PATH

    public static final PropertyMetadata APPLICATION_PATH

### APPMODULE_JNDI_NAME

    public static final PropertyMetadata APPMODULE_JNDI_NAME

### SECURITY_PRINCIPAL

    public static final PropertyMetadata SECURITY_PRINCIPAL

### SECURITY_CREDENTIALS

    public static final PropertyMetadata SECURITY_CREDENTIALS

### USER_PRINCIPAL

    public static final PropertyMetadata USER_PRINCIPAL

### PN_SIMULATE_REMOTE

    public static final PropertyMetadata PN_SIMULATE_REMOTE

### PN_JAAS_CONTEXT

    public static final PropertyMetadata PN_JAAS_CONTEXT

### ENV_OBJ_MARSHALLER

    public static final PropertyMetadata ENV_OBJ_MARSHALLER

### ENV_USE_PERS_COLL

    public static final PropertyMetadata ENV_USE_PERS_COLL

### ENV_PERS_MAX_ROWS_PER_NODE

    public static final PropertyMetadata ENV_PERS_MAX_ROWS_PER_NODE

### ENV_PERS_MAX_ACTIVE_NODES

    public static final PropertyMetadata ENV_PERS_MAX_ACTIVE_NODES

### ENV_PCOLL_MGR

    public static final PropertyMetadata ENV_PCOLL_MGR

### ENV_TXN_TABLE_NAME

    public static final PropertyMetadata ENV_TXN_TABLE_NAME

### ENV_TXN_SEQ_NAME

    public static final PropertyMetadata ENV_TXN_SEQ_NAME

### ENV_TXN_SEQ_INC

    public static final PropertyMetadata ENV_TXN_SEQ_INC

### ENV_CONTROL_TABLE_NAME

    public static final PropertyMetadata ENV_CONTROL_TABLE_NAME

### ENV_STRINGMANAGER_FACTORY_CLASS

    public static final PropertyMetadata ENV_STRINGMANAGER_FACTORY_CLASS

### DOMAIN_DATE_SUPPRESS_ZERO

    public static final PropertyMetadata DOMAIN_DATE_SUPPRESS_ZERO

### DOMAIN_BIND_SQL_DATE

    public static final PropertyMetadata DOMAIN_BIND_SQL_DATE

### ENV_FETCH_MODE

    public static final PropertyMetadata ENV_FETCH_MODE

### JBO_323_COMPATIBLE

    public static final PropertyMetadata JBO_323_COMPATIBLE

### JBO_903_COMPATIBLE

    public static final PropertyMetadata JBO_903_COMPATIBLE

### DYNAMIC_PACKAGE_NAME

    public static final PropertyMetadata DYNAMIC_PACKAGE_NAME

### MOM_CONTEXT_FACTORY

    public static final PropertyMetadata MOM_CONTEXT_FACTORY

### ENV_LOAD_COMP_LAZILY

    public static final PropertyMetadata ENV_LOAD_COMP_LAZILY

### MOM_INITIAL_CONTEXT

    public static final PropertyMetadata MOM_INITIAL_CONTEXT

### INITIAL_CONTEXT_FACTORY

    public static final PropertyMetadata INITIAL_CONTEXT_FACTORY

### IS_LAZY_LOADING_TRUE

    public static final PropertyMetadata IS_LAZY_LOADING_TRUE

### JBO_MOM_USES_MDS

    public static final PropertyMetadata JBO_MOM_USES_MDS

### ADFM_MOM_USES_MDS

    public static final PropertyMetadata ADFM_MOM_USES_MDS

### SHARED_DATA_HANDLE

    public static final PropertyMetadata SHARED_DATA_HANDLE

### HANDLE_NAME

    public static final PropertyMetadata HANDLE_NAME

### GLOBAL_SUBSTITUTION

    public static final PropertyMetadata GLOBAL_SUBSTITUTION

### JBO_PROJECT

    public static final PropertyMetadata JBO_PROJECT

### ENV_MAX_CURSORS

    public static final PropertyMetadata ENV_MAX_CURSORS

### ENV_DO_FAILOVER

    public static final PropertyMetadata ENV_DO_FAILOVER

### ENV_AMPOOL_WRITE_COOKIE_TO_CLIENT

    public static final PropertyMetadata ENV_AMPOOL_WRITE_COOKIE_TO_CLIENT

### ENV_DO_CONNECTION_POOLING

    public static final PropertyMetadata ENV_DO_CONNECTION_POOLING

### ENV_POOL_RECYCLE_THRESHOLD

    public static final PropertyMetadata ENV_POOL_RECYCLE_THRESHOLD

### ENV_AMPOOL_DYNAMIC_JDBC_CREDENTIALS

    public static final PropertyMetadata ENV_AMPOOL_DYNAMIC_JDBC_CREDENTIALS

### ENV_AMPOOL_RESET_NON_TRANSACTIONAL_STATE

    public static final PropertyMetadata ENV_AMPOOL_RESET_NON_TRANSACTIONAL_STATE

### ENV_AMPOOL_COOKIE_FACTORY_CLASS_NAME

    public static final PropertyMetadata ENV_AMPOOL_COOKIE_FACTORY_CLASS_NAME

### ENV_AMPOOL_CONNECTION_STRATEGY_CLASS_NAME

    public static final PropertyMetadata ENV_AMPOOL_CONNECTION_STRATEGY_CLASS_NAME

### ENV_AMPOOL_MAX_POOL_SIZE

    public static final PropertyMetadata ENV_AMPOOL_MAX_POOL_SIZE

### ENV_AMPOOL_INIT_POOL_SIZE

    public static final PropertyMetadata ENV_AMPOOL_INIT_POOL_SIZE

### ENV_AMPOOL_MONITOR_SLEEP_INTERVAL

    public static final PropertyMetadata ENV_AMPOOL_MONITOR_SLEEP_INTERVAL

### ENV_AMPOOL_MIN_AVAIL_SIZE

    public static final PropertyMetadata ENV_AMPOOL_MIN_AVAIL_SIZE

### ENV_AMPOOL_MAX_AVAIL_SIZE

    public static final PropertyMetadata ENV_AMPOOL_MAX_AVAIL_SIZE

### ENV_AMPOOL_MAX_INACTIVE_AGE

    public static final PropertyMetadata ENV_AMPOOL_MAX_INACTIVE_AGE

### ENV_AMPOOL_TIME_TO_LIVE

    public static final PropertyMetadata ENV_AMPOOL_TIME_TO_LIVE

### ENV_AMPOOL_DO_AM_POOLING

    public static final PropertyMetadata ENV_AMPOOL_DO_AM_POOLING

### ENV_AMPOOL_IS_USE_EXCLUSIVE

    public static final PropertyMetadata ENV_AMPOOL_IS_USE_EXCLUSIVE

### ENV_PASSIVATION_STORE

    public static final PropertyMetadata ENV_PASSIVATION_STORE

### ENV_PASSIVATION_SAVE_FOR_LATER

    public static final PropertyMetadata ENV_PASSIVATION_SAVE_FOR_LATER

### ENV_SNAPSHOT_STORE_UNDO

    public static final PropertyMetadata ENV_SNAPSHOT_STORE_UNDO

### ENV_MAX_PASSIVATION_STACK_SIZE

    public static final PropertyMetadata ENV_MAX_PASSIVATION_STACK_SIZE

### ENV_TXN_HANDLE_AFTER_POST_EXC

    public static final PropertyMetadata ENV_TXN_HANDLE_AFTER_POST_EXC

### ENV_BC4J_CONNECT_FAILOVER

    public static final PropertyMetadata ENV_BC4J_CONNECT_FAILOVER

### ENV_MAX_POOL_COOKIE_AGE

    public static final PropertyMetadata ENV_MAX_POOL_COOKIE_AGE

### ENV_POOL_CLASS_NAME

    public static final PropertyMetadata ENV_POOL_CLASS_NAME

### ENV_MAX_JDBC_POOL_SIZE

    public static final PropertyMetadata ENV_MAX_JDBC_POOL_SIZE

### ENV_INIT_JDBC_POOL_SIZE

    public static final PropertyMetadata ENV_INIT_JDBC_POOL_SIZE

### ENV_JDBC_POOL_REQUEST_TIMEOUT

    public static final PropertyMetadata ENV_JDBC_POOL_REQUEST_TIMEOUT

### ENV_JDBC_POOL_MONITOR_SLEEP_INTERVAL

    public static final PropertyMetadata ENV_JDBC_POOL_MONITOR_SLEEP_INTERVAL

### ENV_JDBC_POOL_MIN_AVAIL_SIZE

    public static final PropertyMetadata ENV_JDBC_POOL_MIN_AVAIL_SIZE

### ENV_JDBC_POOL_MAX_AVAIL_SIZE

    public static final PropertyMetadata ENV_JDBC_POOL_MAX_AVAIL_SIZE

### ENV_JDBC_POOL_MAX_INACTIVE_AGE

    public static final PropertyMetadata ENV_JDBC_POOL_MAX_INACTIVE_AGE

### ENV_JDBC_POOL_TIME_TO_LIVE

    public static final PropertyMetadata ENV_JDBC_POOL_TIME_TO_LIVE

### AM_RELEASE_MODE

    public static final PropertyMetadata AM_RELEASE_MODE

### ENV_ENTITYROWSET_MODE

    public static final PropertyMetadata ENV_ENTITYROWSET_MODE

### ENV_VIEWLINK_MODE

    public static final PropertyMetadata ENV_VIEWLINK_MODE

### ENV_VO_TRACK_INSERT

    public static final PropertyMetadata ENV_VO_TRACK_INSERT

### PN_VIEWCRITERIA_ADAPTER

    public static final PropertyMetadata PN_VIEWCRITERIA_ADAPTER

### PN_SQLBUILDERIMPL

    public static final PropertyMetadata PN_SQLBUILDERIMPL

### PN_POOL_MANAGER

    public static final PropertyMetadata PN_POOL_MANAGER

### PN_SQLTYPEMAP

    public static final PropertyMetadata PN_SQLTYPEMAP

### PN_JDBC_DRIVER_CLASS

    public static final PropertyMetadata PN_JDBC_DRIVER_CLASS

### PN_SQL92_LOCKTRAILER

    public static final PropertyMetadata PN_SQL92_LOCKTRAILER

### PN_JBO_JDBC_TRACE

    public static final PropertyMetadata PN_JBO_JDBC_TRACE

### PN_ABSTRACT_BASE_CHECK

    public static final PropertyMetadata PN_ABSTRACT_BASE_CHECK

### PN_DBTIME_QUERY

    public static final PropertyMetadata PN_DBTIME_QUERY

### USE_DEFINE_COLUMN_LENGTH

    public static final PropertyMetadata USE_DEFINE_COLUMN_LENGTH

### JDBC_DATA_BYTES_CONVERSION

    public static final PropertyMetadata JDBC_DATA_BYTES_CONVERSION

### TEMPORARY_FILES_HOME

    public static final PropertyMetadata TEMPORARY_FILES_HOME

### INTERNAL_CONNECTION_PARAMS

    public static final PropertyMetadata INTERNAL_CONNECTION_PARAMS

### ENV_SESSION_CLASS

    public static final PropertyMetadata ENV_SESSION_CLASS

### ENV_DBTRANSACTION_FACTORY_CLASS

    public static final PropertyMetadata ENV_DBTRANSACTION_FACTORY_CLASS

### ENV_DEF_MGR_LISTENER

    public static final PropertyMetadata ENV_DEF_MGR_LISTENER

### PN_DEBUG_TYPE

    public static final PropertyMetadata PN_DEBUG_TYPE

### PN_DEBUG_PREFIX

    public static final PropertyMetadata PN_DEBUG_PREFIX

### PN_SHOW_TIMING

    public static final PropertyMetadata PN_SHOW_TIMING

### PN_SHOW_FUNCTION

    public static final PropertyMetadata PN_SHOW_FUNCTION

### PN_SHOW_LEVEL

    public static final PropertyMetadata PN_SHOW_LEVEL

### PN_SHOW_LINECOUNT

    public static final PropertyMetadata PN_SHOW_LINECOUNT

### PN_TRACE_THRESHOLD

    public static final PropertyMetadata PN_TRACE_THRESHOLD

### PN_JDBC_DRIVER_VERBOSE

    public static final PropertyMetadata PN_JDBC_DRIVER_VERBOSE

### PN_BC4J_ORACLE_HOME

    public static final PropertyMetadata PN_BC4J_ORACLE_HOME

### PN_OC4J_INSTANCE_NAME

    public static final PropertyMetadata PN_OC4J_INSTANCE_NAME

### ENV_EJB_TRANSACTION_TIMEOUT

    public static final PropertyMetadata ENV_EJB_TRANSACTION_TIMEOUT

### ENV_EJB_TXN_TYPE

    public static final PropertyMetadata ENV_EJB_TXN_TYPE

### EJB_DISCONNECT_ON_TXN_COMPLETION

    public static final PropertyMetadata EJB_DISCONNECT_ON_TXN_COMPLETION

### ENV_JBO_EJB_USE_AMPOOL

    public static final PropertyMetadata ENV_JBO_EJB_USE_AMPOOL

### ENV_JBO_SCHEMA

    public static final PropertyMetadata ENV_JBO_SCHEMA

### ENV_JBO_XML_VALIDATION

    public static final PropertyMetadata ENV_JBO_XML_VALIDATION

### ORD_RETRIEVE_PATH

    public static final PropertyMetadata ORD_RETRIEVE_PATH

### ORD_HTTP_MAX_MEMORY

    public static final PropertyMetadata ORD_HTTP_MAX_MEMORY

### ORD_HTTP_TEMP_DIR

    public static final PropertyMetadata ORD_HTTP_TEMP_DIR

### ORD_WMP_CLASS_ID

    public static final PropertyMetadata ORD_WMP_CLASS_ID

### ORD_QP_CLASS_ID

    public static final PropertyMetadata ORD_QP_CLASS_ID

### ORD_RP_CLASS_ID

    public static final PropertyMetadata ORD_RP_CLASS_ID

### ORD_WMP_CODE_BASE

    public static final PropertyMetadata ORD_WMP_CODE_BASE

### ORD_QP_CODE_BASE

    public static final PropertyMetadata ORD_QP_CODE_BASE

### ORD_RP_CODE_BASE

    public static final PropertyMetadata ORD_RP_CODE_BASE

### ORD_WMP_PLUGINS_PAGE

    public static final PropertyMetadata ORD_WMP_PLUGINS_PAGE

### ORD_QP_PLUGINS_PAGE

    public static final PropertyMetadata ORD_QP_PLUGINS_PAGE

### ORD_RP_PLUGINS_PAGE

    public static final PropertyMetadata ORD_RP_PLUGINS_PAGE

### ENV_SECURITY_ENFORCE

    public static final PropertyMetadata ENV_SECURITY_ENFORCE

### ENV_SECURITY_LOGINMODULE

    public static final PropertyMetadata ENV_SECURITY_LOGINMODULE

### ENV_SECURITY_CONFIG

    public static final PropertyMetadata ENV_SECURITY_CONFIG

### JBO_SERVER_USE_NULLDBTRANSACTION

    public static final PropertyMetadata JBO_SERVER_USE_NULLDBTRANSACTION

Method Detail

### findByName

    public static PropertyMetadata findByName(java.lang.String propName)

  return the description element of this name

### registerDelegate

    public static void registerDelegate(PropertyMetadata propertyMetadata,
                                        PropertyMetadataDelegate delegate)

  register a delegate if you want to override the default value for properties. The delegate will be called whenever a request for the default property is received.

### toString

    public java.lang.String toString()

### getMetaDesc

    public java.lang.String getMetaDesc()

### getExtentSize

    public static int getExtentSize()

### listProperties

    public static void listProperties(java.io.PrintStream out)

### prev

    public PropertyMetadata prev()

### next

    public PropertyMetadata next()

### first

    public static PropertyMetadata first()

### last

    public PropertyMetadata last()

### elements

    public static java.util.Enumeration elements()

### findProperty

    public static PropertyMetadata findProperty(java.lang.String key)

### getProperty

    public java.lang.String getProperty()

### getProperty

    public java.lang.String getProperty(java.util.Hashtable sessionEnv)

  Find the property from the given (most likey session env) map. If absent fallback to system level property.

### getProperty

    public java.lang.String getProperty(boolean useDefault)

  this is the preferred way to get a property value, because the defaut value is used if no value has been set.

### getPropertyAsBoolean

    public boolean getPropertyAsBoolean()

### getName

    public java.lang.String getName()

### getOwner

    public Owner getOwner()

### getDefault

    public java.lang.String getDefault()

### getKeywords

    public java.lang.String[] getKeywords()

### getDescription

    public java.lang.String getDescription()

### getDescription

    public java.lang.String getDescription(java.util.Locale locale)

### getGroup

    public PropertyGroup getGroup()

### getDescriptionID

    public java.lang.String getDescriptionID()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.